<?
include 'mysql.php';
include 'inclydings/gzips.php';
$ref=rand(100,10000000);

$_title = 'LineageII';
include 'inclydings/zag.php';
include 'inclydings/ini.php';
$log = htmlspecialchars(stripslashes($log));
$pas = htmlspecialchars(stripslashes($pas));
/////////////////////////////////////////////////////
$text = @file("L2dbnam/esql2db/reg/$log.dat");
if ($text!=""){
$udata = explode(":||:",$text[0]);
$login=trim($udata[0]);
$password=trim($udata[1]);}
////////////////////////////////////////////////////////
include_once("inclydings/sesi.php");
if (isset($user)) {
include_once("inclydings/udata.php");
if(@file("L2dbnam/esql2db/admins/$log.dat")){

switch($go) {

default:
if(!@file("L2dbnam/esql2db/admins/$log.dat")){echo"Вы не Администратор!"; include_once"inclydings/down.php"; exit; }

echo"Управление играками<hr>";
echo "<li><a href=\"gmaddmins.php?$sd&go=izmenit\">Редактирование игроков</a>";
echo "<li><a href=\"gmaddmins.php?$sd&go=block\">Дать блок</a>";
echo "<li><a href=\"gmaddmins.php?$sd&go=bannick\">Дать бан</a>";
echo "<li><a href=\"gmaddmins.php?$sd&go=delblock\">Список заблокированных</a>";
echo "<li><a href=\"gmaddmins.php?$sd&go=ban\">Список забаненых</a>";
echo "<li><a href=\"gmaddmins.php?$sd&go=vipspisok\">Премиум акаунты</a>";
echo "<hr>Управление игрой<hr>";
echo" <li><a href=\"gmaddmins.php?$sd&go=news\">Создать новость</a>";
echo" <li><a href=\"gmaddmins.php?$sd&go=ticket\">Управление тикет системой</a>";
echo "<li><a href=\"gmaddmins.php?$sd&go=spam\">Спам лист</a>";
echo "<li><a href=\"gmaddmins.php?$sd&go=chat\">Чат</a>";
echo "<li><a href=\"gmaddmins.php?$sd&go=personal\">Управление элитой</a>";
echo "<li><a href=\"gmaddmins.php?$sd&go=failuzer\">Кто где</a>";
echo "<li><a href=\"admin.php?$sd&go=ali\">Удалить альянс</a>";
echo "<li><a href=\"gmaddmins.php?$sd&go=clan\">Удалить клан</a>";
echo "<li><a href=\"gmaddmins.php?$sd&go=stat\">Изменить звание</a>";
echo "<li><a href=\"gmaddmins.php?$sd&go=stat\">Изменить главу клана</a>";
echo "<li><a href=\"banzz/admin.php\">Блокировка IP пожизненно </a>";
echo "<li><a href=\"manager.php?$sd\">Файл менеджер</a>";
echo "<li><a href=\"gmaddmins.php?$sd&go=magic\">Редактировать магию</a>";
echo "<hr>Чистить игру<hr>";
echo "<li><a href=\"gmaddmins.php?$sd&go=delmsgchat\">Очистить полностью чат</a>";
echo "<li><a href=\"gmaddmins.php?$sd&go=tradedelmsgchat\">Очистить полностью торговый чат</a>";
echo "<li><a href=\"gmaddmins.php?$sd&go=po4ta\">Очистить почту</a>";
echo "<li><a href=\"gmaddmins.php?$sd&go=delnovosti\">Очистить новости</a>";
echo "<li><a href=\"gmaddmins.php?$sd&go=delspam\">Очистить спам лист</a>";
if($game=="slook"){
$data = mysql_query("SELECT * FROM tb_sends WHERE `nick`='$na' ORDER by `id` DESC");
while($dat = mysql_fetch_array( $data ))
{
echo "От: $dat[name] ($dat[time])<br/>
Сообщение: $dat[msg]<br/>";
}
include_once"inclydings/down.php";
exit;
}


if($game=="sendlook"){
echo"<b>Админ Panel</b><br/>";
echo'<form method="post" action="adm.php?game=slook&key='.$key.'">';
echo "<br/>Ник<br/>";
echo "<input class=\"button\" name=\"na\" maxlength=\"20\" title=\"Ник\" emptyok=\"true\"/><br/>";
echo '<input class="button" type="submit" value="Смотреть"/></form>';
include_once"inclydings/down.php";
exit;
}

if($game=="vipdel"){
echo"<b>Админ Panel</b><br/>";
mysql_query("DELETE FROM `tb_vips` WHERE `nick`='".$im."'");
echo "Вы сняли игроку <b>$im</b> Премиум акаунт";
echo "<li><a href=\"adm.php?game=viplist&key=$key\">Назад</a>";
include_once"inclydings/down.php";
exit;
}


if($game=="viplist"){
echo"<b>Админ Panel</b><br/>";
$data = mysql_query("SELECT * FROM tb_vips");
while($dat = mysql_fetch_array( $data ))
{
echo "Ник: <b>$dat[nick]</b><br/>Заказан: </b>$dat[time]</b><br/><li><a href=\"adm.php?game=vipdel&key=$key&im=$dat[nick]\">Удалить</a><br/><br/>"; }
include_once"inclydings/down.php";
exit;
}




if($game=="alldelchat"){
echo"<b>Админ Panel</b><br/>";
$query="TRUNCATE TABLE `tb_chats`";
$result = mysql_query($query);
echo "Чат очищен";
include_once"inclydings/down.php";
exit;
}

///////////////////////

if($game=="alldeltrade"){
echo"<b>Админ Panel</b><br/>";
$query="TRUNCATE TABLE `tb_trades`";
$result = mysql_query($query);
echo "Торговый чат очищен";
include_once"inclydings/down.php";
exit;
}

///////////////////////

if($game=="alldeltik"){
echo"<b>Админ Panel</b><br/>";
$query="TRUNCATE TABLE `tb_tickets`";
$result = mysql_query($query);
$query="TRUNCATE TABLE `tb_ticketmsgs`";
$result = mysql_query($query);
echo "Тикеты очищены";
include_once"inclydings/down.php";
exit;
}

///////////////////////

if($game=="alldelnews"){
echo"<b>Админ Panel</b><br/>";
$query="TRUNCATE TABLE `tb_news`";
$result = mysql_query($query);
echo "Новости очищены";
include_once"inclydings/down.php";
exit;
}

if($game=="alldelguildc"){
echo"<b>Админ Panel</b><br/>";
$query="TRUNCATE TABLE `tb_guildchats`";
$result = mysql_query($query);
echo "Чаты гильдий очищены очищены";
include_once"inclydings/down.php";
exit;
}

///////////////////////

if($game=="alldelforum"){
echo"<b>Админ Panel</b><br/>";
$query="TRUNCATE TABLE `tb_forums`";
$result = mysql_query($query);
$query="TRUNCATE TABLE `tb_forummsgs`";
$result = mysql_query($query);
$query="TRUNCATE TABLE `tb_themes`";
$result = mysql_query($query);
mysql_query("UPDATE `tb_forumosts` SET `nick`='Никто'");
echo "Форум очищен";
include_once"inclydings/down.php";
exit;
}



if($game=="delpar"){
echo"<b>Админ Panel</b><br/>";
mysql_query("DELETE FROM `tb_partners` WHERE `id`='".$id."'");
echo "Партнёр удалён";
include_once"inclydings/down.php";
exit;
}


if($game=="edpar"){
echo"<b>Админ Panel</b><br/>";
$num = mysql_fetch_array(mysql_query("select count(id) as num from tb_partners"));
echo "<br />Партнёров { ".$num[0]." }<br/><br>\n";
echo "<b>Партнёры:</b><br/>";
if(empty($startan)) $startan = 0;
$startan=intval($startan);
if($startan<0) $startan=0; $num_msgs_an=5;
$qi = mysql_query("SELECT * FROM `tb_partners` ORDER by `id` DESC  LIMIT $startan,$num_msgs_an");
while($row=mysql_fetch_array($qi))
{
echo ''.$row['id'].'} <a href="http://'.$row['sait'].'">'.$row['names'].'</a> - '.$row['opis'].'<br/>';
echo "<li><a href=\"adm.php?game=delpar&key=$key&id=$row[id]\">Удалить</a><br/>";
}
$q = mysql_query("SELECT COUNT(`id`) FROM `tb_partners`");
$kol = mysql_result($q, 0);
if ($startan != 0) {echo '<a href="local.php?game=edpartner='.($startan - 5).'">Назад</a> ';}else{echo'- - -<br/>';}
if ($kol > $startan + 5) {echo ' <a href="local.php?game=edpartner&startan='.($startan + 5).'">Далее</a>';}
include_once"inclydings/down.php";
exit;
}


if($game=="partner"){
echo"<b>Админ Panel</b><br/>";
echo'<form method="post" action="adm.php?game=addpar&key='.$key.'">';
echo "<br/>Название:<br/>";
echo "<input class=\"button\" name=\"names\" maxlength=\"20\" title=\"Название\" emptyok=\"true\"/>";
echo "<br/>Сайт (без http://):<br/>";
echo "<input class=\"button\" name=\"sait\" maxlength=\"20\" title=\"Сайт\" emptyok=\"true\"/><br/>";
echo "Описание:<br/>";
echo "<input class=\"button\" name=\"opis\" maxlength=\"20\" title=\"Описание\" emptyok=\"true\"/><br/>";
echo '<input class="button" type="submit" value="Добавить"/></form>';
echo "<li><a href=\"adm.php?game=edpar&key=$key\">Редактировать партнёров</a>";
include_once"inclydings/down.php";
exit;
}

////////////////////

if($game=="oblok"){
echo"<b>Админ Panel</b><br/>";
$g=mysql_query("SELECT * FROM `tb_blocks` WHERE `im`='$im' LIMIT 1");
if(mysql_num_rows($g)==1){
echo"Персонаж $im уже заблокирован,повторное блокирование невозможно";
echo "<li><a href=\"adm.php?game=panel&key=$key\">Назад</a>";
}else{
$g=mysql_query("SELECT * FROM `tb_uzers` WHERE `nick`='$im' LIMIT 1");
if(mysql_num_rows($g)==0){echo "Такого персонажа нет в БД";
echo "<li><a href=\"adm.php?game=panel&key=$key\">Назад</a>";
}else{
$time = date("H:i:s");
$msg="<font color=lime>Внимание!!! Администратор <a href=\"local.php?uz=$nick&game=info\">$nick</a> заблокировал персонажа <a href=\"local.php?uz=$im&game=info\">$im</a> по причине <b><u>$pr</u></b></font>";
$query = "INSERT INTO tb_chats VALUES('$id','$system','$time','$msg')";
$result = mysql_query($query);
$query = "INSERT INTO tb_blocks VALUES('$im','$pr')";
$result = mysql_query($query);
echo "Игрок $im заблокирован по причине $pr";
echo "<li><a href=\"adm.php?game=panel&key=$key\">Назад</a>";
}}
include_once"inclydings/down.php";
exit;
}


////////////////////

if($game=="oban"){
echo"<b>Админ Panel</b><br/>";
$g=mysql_query("SELECT * FROM `tb_bans` WHERE `im`='$im' LIMIT 1");
if(mysql_num_rows($g)==1){
echo"Персонаж $im уже забанен,повторный бан невозможен";
echo "<li><a href=\"adm.php?game=panel&key=$key\">Назад</a>";
}else{
$g=mysql_query("SELECT * FROM `tb_uzers` WHERE `nick`='$im' LIMIT 1");
if(mysql_num_rows($g)==0){echo "Такого персонажа нет в БД";
echo "<li><a href=\"adm.php?game=panel&key=$key\">Назад</a>";
}else{
$time = date("H:i:s");
$msg="<font color=lime>Внимание!!! Администратор <b><a href=\"local.php?uz=$nick&game=info\">$nick</a></b> забанил персонажа <b><a href=\"local.php?uz=$im&game=info\">$im</a></b> по причине <b><u>$pr</u></b> на <b><u>$tim</u></b> минут(ы)</font>";
$query = "INSERT INTO tb_chats VALUES('$id','$system','$time','$msg')";
$result = mysql_query($query);
$times=time();
$query = "INSERT INTO tb_bans VALUES('$im','$pr','$tim','$times')";
$result = mysql_query($query);
echo "Игрок $im заабанен по причине $pr";
echo "<li><a href=\"adm.php?game=panel&key=$key\">Назад</a>";
}}
include_once"inclydings/down.php";
exit;
}

////////////////////

if($game=="addpar"){
echo"<b>Админ Panel</b><br/>";
$q = mysql_query("SELECT COUNT(`id`) FROM `tb_partners`;");
$ids = mysql_result($q, 0);
$id=$ids+1;
$query = "INSERT INTO tb_partners VALUES('$id','$sait','$names','$opis')";
$result = mysql_query($query);
echo "Сайт <b>http://$sait</b> успешно добавлен в список партнёров";
echo "<li><a href=\"adm.php?game=panel&key=$key\">Назад</a>";

include_once"inclydings/down.php";
exit;
}

///////////////////

if($game=="blok"){
echo"<b>Админ Panel</b><br/>";
echo'<form method="post" action="adm.php?game=oblok&key='.$key.'">';
echo "<br/>Ник персонажа<br/>";
echo "<input class=\"button\" name=\"im\" maxlength=\"20\" title=\"Ник\" emptyok=\"true\"/>";
echo "<br/>Причина блока<br/>";
echo "<input class=\"button\" name=\"pr\" maxlength=\"300\" title=\"Причина\" emptyok=\"true\"/><br/>";
echo '<input class="button" class="button" type="submit" value="Заблокировать"/></form>';
include_once"inclydings/down.php";
exit;
}


///////////////////

if($game=="ban"){
echo"<b>Админ Panel</b><br/>";
echo'<form method="post" action="adm.php?game=oban&key='.$key.'">';
echo "<br/>Ник персонажа<br/>";
echo "<input class=\"button\" name=\"im\" maxlength=\"20\" title=\"Ник\" emptyok=\"true\"/>";
echo "<br/>Причина бана<br/>";
echo "<input class=\"button\" name=\"pr\" maxlength=\"100\" title=\"Причина\" emptyok=\"true\"/>";
echo "<br/>Время бана (минуты)</b><br/>";
echo '<select name="tim">
<option value="15">15</option>
<option value="30">30</option>
<option value="60">60</option>
<option value="120">120</option>
';
echo '</select><br/>';
echo '<input class="button" class="button" type="submit" value="Забанить"/></form>';
include_once"inclydings/down.php";
exit;
}

///////////////////

if($game=="reblok"){
echo"<b>Админ Panel</b><br/>";
mysql_query("DELETE FROM `tb_blocks` WHERE `im`='".$im."'");
echo "Вы успешно освободили <b>$im</b>";
echo "<li><a href=\"adm.php?game=bloklist&key=$key\">Назад</a>";
include_once"inclydings/down.php";
exit;
}

///////////////////

if($game=="reban"){
echo"<b>Админ Panel</b><br/>";
mysql_query("DELETE FROM `tb_bans` WHERE `im`='".$im."'");
echo "Вы успешно разбанили <b>$im</b>";
echo "<li><a href=\"adm.php?game=banlist&key=$key\">Назад</a>";
include_once"inclydings/down.php";
exit;
}



if($game=="bloklist"){
echo"<b>Админ Panel</b><br/>";
$data = mysql_query("SELECT * FROM tb_blocks");
while($dat = mysql_fetch_array( $data ))
{
echo "Ник: <b>$dat[im]</b><br/>Причина: </b>$dat[pr]</b><br/><li><a href=\"adm.php?game=reblok&key=$key&im=$dat[im]\">Разблокировать</a><br/><br/>"; }
include_once"inclydings/down.php";
exit;
}


///////////////////

if($game=="banlist"){
echo"<b>Админ Panel</b><br/>";
$data = mysql_query("SELECT * FROM tb_bans");
while($dat = mysql_fetch_array( $data ))
{
echo "Ник: <b>$dat[im]</b><br/>Причина: </b>$dat[pr]</b><br/><li><a href=\"adm.php?game=reban&key=$key&im=$dat[im]\">Разбанить</a><br/><br/>"; }
include_once"inclydings/down.php";
exit;
}





if($game=="panel"){
echo"Управление играками<hr>";
echo "<li><a href=\"adm.php?game=blok&key=$key\">Дать блок</a>";
echo "<li><a href=\"adm.php?game=ban&key=$key\">Дать бан</a>";
echo "<li><a href=\"adm.php?game=bloklist&key=$key\">Список заблокированых</a>";
echo "<li><a href=\"adm.php?game=banlist&key=$key\">Список забаненых</a>";
echo "<li><a href=\"adm.php?game=viplist&key=$key\">Премиум акаунты</a>";
echo "<hr>Управление игрой<hr>";
echo "<li><a href=\"adm.php?game=addadmin&key=$key\">Управление элитой</a>";
echo "<li><a href=\"adm.php?game=partner&key=$key\">Партнёры</a>";

echo "<li><a href=\"adm.php?game=sendlook&key=$key\">Читать почту</a>";
echo "<li><a href=\"adm.php?game=news&key=$key\">Создать новость</a>";
echo "<hr>Чистить игру<hr>";

echo "<li><a href=\"adm.php?game=alldelchat&key=$key\">Очистить полностью чат</a>";
echo "<li><a href=\"adm.php?game=alldeltrade&key=$key\">Очистить полностью торговый чат</a>";
echo "<li><a href=\"adm.php?game=alldeltik&key=$key\">Очистить тикеты</a>";
echo "<li><a href=\"adm.php?game=alldelforum&key=$key\">Очистить форум</a>";
echo "<li><a href=\"adm.php?game=alldelnews&key=$key\">Очистить новости</a>";
echo "<li><a href=\"adm.php?game=alldelguildc&key=$key\">Очистить чаты гильдий</a>";
include 'look/nog.php';
exit;
}

break;
case 'ticketdel':
mysql_query("DELETE FROM `table_ticketmsgs` WHERE `nick`='".$uz."' AND `id`='".$id."'");
mysql_query("DELETE FROM `table_tickets` WHERE `nick`='".$uz."' AND `id`='".$id."'");
echo "Тикет удалён";
echo "<li><a href=\"gmaddmins.php?$sd&go=ticket\">В список тикетов тикет</a>";
break;
case 'ticketcheck':
mysql_query("UPDATE `table_tickets` SET `status`='0' WHERE `nick`='$uz' AND `id`='$id'");
echo "Тикет убран с панели";
echo "<li><a href=\"gmaddmins.php?$sd&go=ticketlook&id=$id&uz=$uz\">В тикет</a>";

break;
case 'ticketonoff':
$result666 = mysql_query("SELECT * FROM `table_tickets` WHERE `nick`='".$uz."' AND `id`='".$id."'");
$onoff = mysql_fetch_array($result666);
if($onoff[onoff]=="0"){
mysql_query("UPDATE `table_tickets` SET `onoff`='1' WHERE `nick`='$uz' AND `id`='$id'");
echo "Тикет закрыт";
echo "<li><a href=\"gmaddmins.php?$sd&go=ticketlook&id=$id&&key=$key&uz=$uz\">В тикет</a>";
}else{
mysql_query("UPDATE `tb_tickets` SET `onoff`='0' WHERE `nick`='$uz' AND `id`='$id'");
echo "Тикет открыт";
echo "<li><a href=\"gmaddmins.php?$sd&go=ticketlook&id=$id&&key=$key&uz=$uz\">В тикет</a>";
}
break;
case 'ticketsave':
////////////////////////////// send message /////////
$data=date("d F, Y", time());
$time=date("H:i:s", time());
$data = str_replace("January","января",$data);
$data = str_replace("February","февраля",$data);
$data = str_replace("March","марта",$data);
$data = str_replace("April","апреля",$data);
$data = str_replace("May","мая",$data);
$data = str_replace("June","июня",$data);
$data = str_replace("July","июля",$data);
$data = str_replace("August","августа",$data);
$data = str_replace("September","сентября",$data);
$data = str_replace("October","октября",$data);
$data = str_replace("November","ноября",$data);
$data = str_replace("December","декабря",$data);
$fal = @file("L2dbnam/esql2db/reg/$uz.dat");
$udata = explode(":||:",$fal[0]);
$udata[22]=trim($udata[22]+1);
$textus=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:';


$fp=fopen("L2dbnam/esql2db/reg/$uz.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
fputs($fp,"$textus");
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);

$time = date("H:i:s");
$data=date("d-F-Y", time());
$data = str_replace("January","01",$data);
$data = str_replace("February","02",$data);
$data = str_replace("March","03",$data);
$data = str_replace("April","04",$data);
$data = str_replace("May","05",$data);
$data = str_replace("June","06",$data);
$data = str_replace("July","07",$data);
$data = str_replace("August","08",$data);
$data = str_replace("September","09",$data);
$data = str_replace("October","10",$data);
$data = str_replace("November","11",$data);
$data = str_replace("December","12",$data);
mysql_query("UPDATE `table_tickets` SET `status`='0' WHERE `nick`='$uz' AND `id`='$id'");
$query = "INSERT INTO table_ticketmsgs VALUES('$uz','$id','$fid','$log','$msg','$time [$data]')";
$result = mysql_query($query);
$result666 = mysql_query("SELECT * FROM `table_tickets` WHERE `nick`='".$uz."' AND `id`='".$id."'");
$po = mysql_fetch_array($result666);
$msgs="Администратор <b>$log</b> ответил на Ваш тикет <b>$po[name]</b>";
$query = "INSERT INTO table_sends VALUES('','$uz','$log','$time','$msgs')";
$result = mysql_query($query);
echo "Ответ успешно добавлен";
echo "<li><a href=\"gmaddmins.php?$sd&go=ticketlook&id=$id&uz=$uz\">В тикет</a>";
break;
case 'ticketotvet':
echo'<form method="post" action="gmaddmins.php?'.$sd.'&go=ticketsave&id='.$id.'&uz='.$uz.'">';
echo "<br/>Сообщение:<br/>";
echo "<input class=\"button\" name=\"msg\" maxlength=\"500\" title=\"Сообщение\" emptyok=\"true\"/>";
echo '<input class="button" type="submit" value="Ответить"/></form>';
echo "<li><a href=\"gmaddmins.php?$sd&go=ticketlook&id=$id&uz=$uz\">В тикет</a>";
break;
case 'ticketlook':
$qi = mysql_query("SELECT * FROM `table_ticketmsgs` WHERE `nick`='$uz' AND `id`='$id' ORDER by `fid` ASC");
while($row=mysql_fetch_array($qi))
{
echo "$row[autor] [$row[time]]: $row[msg]<br/>";
}

$result666 = mysql_query("SELECT * FROM `table_tickets` WHERE `nick`='".$uz."' AND `id`='".$id."'");
$onoff = mysql_fetch_array($result666);
if($onoff[onoff]=="0"){
echo "<li><a href=\"gmaddmins.php?$sd&go=ticketotvet&id=$id&&uz=$uz\">Ответить на тикет</a>";
}
echo "<li><a href=\"gmaddmins.php?$sd&go=ticketcheck&id=$id&&uz=$uz\">Убрать с панели тикет</a>";
echo "<li><a href=\"gmaddmins.php?$sd&go=ticketdel&id=$id&uz=$uz\">Удалить тикет</a>";
if($onoff[onoff]=="0"){
echo "<li><a href=\"gmaddmins.php?$sd&go=ticketonoff&id=$id&uz=$uz\">Закрыть тикет</a>";
}else{
echo "<li><a href=\"gmaddmins.php?$sd&go=ticketonoff&id=$id&uz=$uz\">Открыть тикет</a>";
}


break;
case 'ticket':
$q = mysql_query("SELECT COUNT(`nick`) FROM `table_tickets` WHERE `status`='1'");
$kol = mysql_result($q, 0);
if($kol=="0"){echo "Тикетов нет";}
$qi = mysql_query("SELECT * FROM `table_tickets` WHERE `status`='1' ORDER by `time` DESC");
while($row=mysql_fetch_array($qi))
{
echo "Автор: $row[nick]<br/>Тикет: <a href=\"gmaddmins.php?$sd&go=ticketlook&uz=$row[nick]&id=$row[id]\">$row[name]</a> [$row[time]]<br/>";
}
break;
case 'delspam':

$query="TRUNCATE TABLE `table_spams`";
$result = mysql_query($query);
echo "Спам лист очищен";
echo "<li><a href=\"gmaddmins.php?$sd&go=spam\">Назад</a>";
////////////////////
break;
case 'spam':
$data = mysql_query("SELECT * FROM table_spams ORDER by `id` DESC");
while($dat = mysql_fetch_array( $data ))
{
echo "Персонаж: <b>$dat[nick]</b><br/>Пожаловался на персонажа: </b>$dat[name]</b><br/>За сообщение: $dat[msg]<br/><br/>"; }
echo "<li><a href=\"gmaddmins.php?$sd&go=delspam\">Очистить спам лист</a>";

break;
case 'ednews':
$num = mysql_fetch_array(mysql_query("select count(id) as num from table_news"));
echo "<br />Новостей { ".$num[0]." }<br/><br>\n";
echo "<b>Новости:</b><br/>";
if(empty($startan)) $startan = 0;
$startan=intval($startan);
if($startan<0) $startan=0; $num_msgs_an=5;
$qi = mysql_query("SELECT * FROM `table_news` ORDER by `id` DESC  LIMIT $startan,$num_msgs_an");
while($row=mysql_fetch_array($qi))
{
echo '<b>'.$row['zag'].'</b> ('.$row['time'].')<br/>'.$row['novost'].'<br/>Автор: '.$row['autor'].'<br/>';
echo "<li><a href=\"gmaddmins.php?$sd&go=delnews&zag=$row[zag]\">Удалить</a>|<a href=\"gmaddmins.php?$sd&go=editnews&id=$row[id]\">Редактировать</a><br/><br/>";
}
$q = mysql_query("SELECT COUNT(`id`) FROM `table_news`");
$kol = mysql_result($q, 0);

if($startan!= 0) $page2left = ' <a href= gmaddmins.php?'.$sd.'&go=ednews&startan='. ($startan - 5) .'&page='.($page-1).'>'. ($page - 1) .'</a> | ';

if(empty($page)){$page=1;}
if($kol > $startan + 5) $page2right = ' | <a href= gmaddmins.php?'.$sd.'&go=ednews&startan='. ($startan + 5) .'&page='. ($page+1) .'>'. ($page + 1) .'</a>';
echo $page2left.'<b>('.$page.')</b>'.$page1right.$page2right.'<br/>';


if ($startan != 0) {echo '<a href="gmaddmins.php?'.$sd.'&go=ednews&startan='.($startan - 5).'&page='.($page-1).'">Назад</a> ';}

if ($kol > $startan + 5) {echo ' <a href="gmaddmins.php?'.$sd.'&go=ednews&startan='.($startan + 5).'&page='.($page+1).'">Далее</a>';}


///////////////////////
break;
case 'editnews':
$novs = mysql_query("SELECT * FROM `table_news` WHERE `id`='".$id."'");
$news = mysql_fetch_array($novs);
echo"<b>Редактирование новости:</b><br/>";
echo'<form method="post" action="gmaddmins.php?'.$sd.'&go=svnews&id='.$id.'">';
echo "-  <b>Заголовок новости</b><br/>";
echo "$news[zag]";
echo "<input class=\"button\" name=\"zagl\" maxlength=\"30\" title=\"Заголовок новости\" emptyok=\"true\"/><br/>";
echo "-  <b>Новость</b><br/>";
echo "$news[novost]";
echo "<input class=\"button\" name=\"novostl\" maxlength=\"1000\" title=\"Новость\" emptyok=\"true\"/><br/>";
echo '<input class="button" type="submit" value="Редактировать"/></form>';

/////////////////////
break;
case 'svnews':
mysql_query("UPDATE `table_news` SET `zag`='$zagl',`novost`='$novostl' WHERE `id`='$id'");
echo "Новость $zagl успешно отредактирована";


/////////////////////

break;
case 'addnews':
$time = date("H:i:s");
$date=date("d.m.y");
$query = "INSERT INTO table_news VALUES('$id','$zag','$novost','$log','$time|$date')";
$result = mysql_query($query);
echo "Новость $zag успешно создана";
$msg="Обновлены Новости игры .";


$msg=htmlspecialchars(stripslashes($msg));
$msg=str_replace("#","",$msg);

$date=date("d.m.y");
$time=date("H:i");


$text="($time)<br/><b>$msg</b>#$log#Nokia8800#127.0.0.1#$date#$time";
$text=str_replace("\r\n", "", $text);


$fp=fopen("L2dbnam/esql2db/chat.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);


////////////////////
break;
case 'delnews':
mysql_query("DELETE FROM `table_news` WHERE `zag`='".$zag."'");
echo "Новость $zag успешно удалена";

////////////////////
break;
case 'news':
echo'<form method="post" action="gmaddmins.php?'.$sd.'&go=addnews">';
echo "<br/>Название новости:<br/>";
echo "<input class=\"button\" name=\"zag\" maxlength=\"20\" title=\"Название новости\" emptyok=\"true\"/>";
echo "<br/>Новость:<br/>";
echo "<input class=\"button\" name=\"novost\" maxlength=\"1000\" title=\"Новость\" emptyok=\"true\"/><br/>";
echo '<input class="button" type="submit" value="Создать"/></form>';
echo "<li><a href=\"gmaddmins.php?$sd&go=ednews\">Редактировать новости</a>";


break;
case 'magic':

#---------------------#
$duuu=opendir("L2dbnam/esql2db/mags");
$all = 0;
while(($k=readdir($duuu))!==false){
if ($k=='.'||$k=='..'||$k=='.htaccess'||$k=='index.php') continue; $all++;} closedir($duuu);
#---------------------#
echo'<div id="menu6">'.$bimg2.'Редактирование магии</div><div id="menu6">';
$dir = opendir ("L2dbnam/esql2db/mags");
while ($file = readdir ($dir))
{
if (( $file != ".") and ($file != ".."))
{
$id=str_replace(".dat","",$file);
$text = @file("L2dbnam/esql2db/mags/$file");
$data = explode("||",$text[0]);
echo "<a href=\"gmaddmins.php?$sd&go=editmagic&id=$id\">$data[7]</a> [<b>$data[4]</b> | $data[0] ат.]<br/>";
}}
echo'</div><div id="menu6">Всего магии '.$all.'</div>';
break;
case 'editmagic':
$vfile = @file("L2dbnam/esql2db/mags/$id.dat");
$value = explode("||",$vfile[0]);
////////////////////////////// INPUT /////////////////////////////
echo'<div id="menu6">'.$bimg2.'Редактирование магии <b>'.$value[7].'</b></div><div id="menu6">';
echo "<form action=\"gmaddmins.php?$sd&go=savemagic\" method=\"post\">";
echo 'Название:<br/><input type="log" name="name" maxlength="25" value="'.$value[7].'" /><br/>';
echo 'Атаки:<br/><input type="log" name="ataka" maxlength="25" value="'.$value[0].'" /><br/>';
echo 'MP:<br/><input type="log" name="mp" maxlength="25" value="'.$value[1].'" /><br/>';
echo 'SP:<br/><input type="log" name="sp" maxlength="25" value="'.$value[2].'" /><br/>';
echo 'Описание:<br/>';
echo '<textarea id="tex" name="info" maxlength="999">'.$value[6].'</textarea><br/>';
echo 'Тип:<br/><select id="select" name="tip" type="select">
<option value="combat">Боевая </option>
<option value="baff">Баф </option>
</select><br/>';
echo 'хз:<br/><input type="log" name=z value='.$value[3].' /><br/>';
echo 'хз:<br/><input type="log" name="zzz" maxlength="10" value="'.$value[5].'" /><br/>';
echo 'хз:<br/><input type="log" name="zz" maxlength="10" value="'.$value[9].'" /><br />';
echo 'хз:<br/><input type="log" name="xz" maxlength="10" value="'.$value[8].'" />';
echo '<br /><input class="button" type="submit" value="Сохранить"/>';
echo '<postfield name="name" value="$(name)"/>';
echo '<postfield name="ataka" value="$(ataka)"/>';
echo '<postfield name="tip" value="$(tip)"/>';
echo '<postfield name="sp" value="$(sp)"/>';
echo '<postfield name="mp" value="$(mp)"/>';
echo '<postfield name="z" value="$(z)"/>';
echo '<postfield name="zz" value="$(zz)"/>';
echo '<postfield name="zzz" value="$(zzz)"/>';
echo '</form></div>';
break;

case 'savemagic':
include_once("inclydings/functions.php");
$name=check($name);
$ataka=check($ataka);
$mp=check($mp);
$info=check($info);
$tip=check($tip);
$sp=check($sp);
$z=check($z);
$zz=check($zz);
$zzz=check($zzz);
$xz=check($xz);
$text=$ataka.'||'.$mp.'||'.$sp.'||'.$z.'||'.$tip.'||'.$zzz.'||'.$info.'||'.$name.'||'.$xz.'||'.$zz.'||';
/////////////////////////////// write item ////////
$mag = opendir("L2dbnam/esql2db/mags");
while(($k=readdir($mag))!==false){
if ($k=='.'||$k=='..'||$k=='.htaccess'||$k=='index.php') continue; $allw++;} closedir($mag);
$fp=fopen("L2dbnam/esql2db/mags/$id.dat","w+");
flock($fp,LOCK_EX);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
echo'<div id="menu6">'.$bimg2.'Редактирование магии <b>'.$value[7].'</b></div>';
echo'Магия <b>'.$name.'</b> обновлена! '.$img37.'<br />'.$img2.'</a><br />';

break;

case 'ali':
if(!@file("L2dbnam/esql2db/admins/$log.dat")){echo"Вы не Администратор!"; include_once"inclydings/down.php"; exit; }
echo "<form action=\"gmaddmins.php?$sd&go=delali\" method=\"post\">";
echo "<small>Введите ник главы альянса:</small><br/>";
echo "<input name=\"login\" maxlength=\"50\" title=\"nick\"/><br/>";
echo '<input type="submit" value="Удалить альянс"/></form>';

break;
case 'delali':
if(!@file("L2dbnam/esql2db/admins/$log.dat")){echo"Вы не Администратор!"; include_once"inclydings/down.php"; exit; }
$login=$_POST['login'];
if(!@file("L2dbnam/esql2db/ali/$login.dat")){echo"Такой альянс не существует!"; include_once"inclydings/down.php"; exit; }
@unlink ("L2dbnam/esql2db/ali/$login.dat");
@unlink ("L2dbnam/esql2db/ali/bank/$login.dat");
@unlink ("L2dbnam/esql2db/ali/chat/$login.dat");
@unlink ("L2dbnam/esql2db/ali/clans/$login.dat");
@unlink ("L2dbnam/esql2db/ali/desk/$login.dat");
@unlink ("L2dbnam/esql2db/ali/logs/$login.dat");
@unlink ("L2dbnam/esql2db/ali/names/$login.dat");
@unlink ("L2dbnam/esql2db/ali/site/$login.dat");
@unlink ("L2dbnam/esql2db/ali/tmp/$login.dat");
echo"Альянс игрока $login успешно удалён";
break;
case 'clan':
if(!@file("L2dbnam/esql2db/admins/$log.dat")){echo"Вы не Администратор!"; include_once"inclydings/down.php"; exit; }
echo "<form action=\"gmaddmins.php?$sd&go=delclan\" method=\"post\">";
echo "Введите ник главы клана:<br/>";
echo "<input name=\"login\" maxlength=\"50\" title=\"nick\"/><br/>";
echo '<input type="submit" value="Удалить клан"/></form>';


break;
case 'delclan':
if(!@file("L2dbnam/esql2db/admins/$log.dat")){echo"Вы не Администратор!"; include_once"inclydings/down.php"; exit; }
$login=$_POST['login'];
if(!@file("L2dbnam/esql2db/clan/$login.dat")){echo"Такой клан не существует!"; include_once"inclydings/down.php"; exit; }
@unlink ("L2dbnam/esql2db/clan/$login.dat");
@unlink ("L2dbnam/esql2db/clan/bank/$login.dat");
@unlink ("L2dbnam/esql2db/clan/chat/$login.dat");
@unlink ("L2dbnam/esql2db/clan/clanholl/$login.dat");
@unlink ("L2dbnam/esql2db/clan/desk/$login.dat");
@unlink ("L2dbnam/esql2db/clan/logs/$login.dat");
@unlink ("L2dbnam/esql2db/clan/name/$login.dat");
@unlink ("L2dbnam/esql2db/clan/site/$login.dat");
@unlink ("L2dbnam/esql2db/clan/tmp/$login.dat");
@unlink ("L2dbnam/esql2db/clan/sklad/$login.dat");
@unlink ("L2dbnam/esql2db/clan/status/$login.dat");
@unlink ("L2dbnam/esql2db/clan/zam/$login.dat");
echo"Клан игрока $login успешно удалён";
break;
case 'ban':
if(!@file("L2dbnam/esql2db/admins/$log.dat")){echo"Вы не Администратор!"; include_once"inclydings/down.php"; exit; }

echo"Нажав на ник вы разбаните его!<br/>";

$file = file("L2dbnam/esql2db/ban.dat");
$total = count($file);

for ($i = 0; $i < $total; $i++){
$data = explode("||",$file[$i]);

$time=time()-86400;

if($data[1]>$time){

$data_name[]=$data[2];
$data_id[]=$i;
}}

if(empty($data_name)){echo"Забаненых нет.";
include 'inclydings/down.php';exit;}

foreach($data_name as $k=>$v)
{
$dat_screen[]="[<a href=\"gmaddmins.php?$sd&name=$data_name[$k]&id=$data_id[$k]&go=delban\">$data_name[$k]</a>]<br/>";
}


$total = count($dat_screen);


if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 10){ $end = $total; }
else {$end = $start + 10; }
for ($i = $start; $i < $end; $i++){

echo"$dat_screen[$i]";

}


if ($start !== 0) {echo '[<a href="gmaddmins.php?start='.($start - 10).'&'.$sd.'&go=ban">Назад</a>]';}
if ($total > $start + 10) {echo '[<a href="gmaddmins.php?start='.($start + 10).'&'.$sd.'&go=ban">Далее</a>]';}


break;
case 'delban':
if(!@file("L2dbnam/esql2db/admins/$log.dat")){echo"Вы не Администратор!"; include_once"inclydings/down.php"; exit; }
$file = file("L2dbnam/esql2db/ban.dat");
$fp=fopen("L2dbnam/esql2db/ban.dat","w");
flock ($fp,LOCK_EX);
unset($file[$id]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
echo"Разбанен.<br/>[<a href=\"gmaddmins.php?$sd\">в админку</a>]";


break;
case 'block':
if(!@file("L2dbnam/esql2db/admins/$log.dat")){echo"Вы не Администратор!"; include_once"inclydings/down.php"; exit; }
echo '<form method="post" action="gmaddmins.php?'.$sd.'&go=profilsave">';
echo 'Ник:<br />';
echo '<input type="log" name="name" /><br />';
echo 'Причина:<br />';
echo '<input type="log" name="prichina" /><br />';
echo '<input type="submit" class="button" value="Заблочить" />';
echo '<postfield name="name" value="$(name)"/>';
echo '<postfield name="prichina" value="$(prichina)"/>';
echo '</form>';
break;

case 'profilsave':
if(!@file("L2dbnam/esql2db/admins/$log.dat")){echo"Вы не Администратор!"; include_once"inclydings/down.php"; exit; }
include_once("inclydings/functions.php");
$name=check($name);
$prichina=check($prichina);
$date = date("d.m.Y");
$name=htmlspecialchars(stripslashes($name));
$fp=fopen("L2dbnam/esql2db/blocked/$name.dat","w");
if(!@file("L2dbnam/esql2db/reg/$uzer.dat")){echo"Такого игрока нету в базе данных!"; include_once"inclydings/down.php"; exit; }
flock($fp,LOCK_EX);                                                                         
fputs($fp,"$log||$date||$name||$prichina|| ||");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
$msg="$name заблокирован! Причина: $prichina Дата: $date ";

$msg=htmlspecialchars(stripslashes($msg));
$msg=str_replace("#","",$msg);

$date=date("d.m.y");
$time=date("H:i");


$text="($time)<br/><b><u>$msg</u></b>#$log#Nokia8800#127.0.0.1#$date#$time";
$text=str_replace("\r\n", "", $text);


$fp=fopen("L2dbnam/esql2db/chat.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
echo '<div id="menu6">'.$bimg7.' Игрок '.$name.' заблокирован администратором '.$log.'! '.$img37.'</div>
<b>Дата : </b>'.$date.'<br />
<b>Причина :</b> '.$prichina.'<br/></a>';

break;
case 'delblock':
if(!@file("L2dbnam/esql2db/admins/$log.dat")){echo"Вы не Администратор!"; include_once"inclydings/down.php"; exit; }
///////////////////////////////////////
echo'<div id="menu6">'.$bimg9.'Список заблокированных</div>';
$dir = opendir ("L2dbnam/esql2db/blocked"); 
while ($filel = readdir ($dir)) 
{
if (( $filel != ".") and ($filel != ".."))
{ 
$id=str_replace(".dat","",$filel);
$text = @file("L2dbnam/esql2db/blocked/$filel"); 
$data = explode("||",$text[0]);
echo "<b>$data[2]</b> [$data[1]] <a href=\"gmaddmins.php?$sd&go=reblockok&amp;filel=$filel\">[Разблокировать]</a><br/>";
}}
break;

case 'reblockok':
if(!@file("L2dbnam/esql2db/admins/$log.dat")){echo"Вы не Администратор!"; include_once"inclydings/down.php"; exit; }
$time=time()-3600;
$dir = opendir ("L2dbnam/esql2db/blocked");
while ($file = readdir ($dir)) 
{
if (( $file != ".") && ($file != "..")){
$file2=@file("L2dbnam/esql2db/blocked/$filel");
$GLOBALS[total]=count($file2);
$GLOBALS[all]=$GLOBALS[all]+$GLOBALS[total];
@unlink ("L2dbnam/esql2db/blocked/$filel");
}}
echo"<b>$filel</b> успешно разблокирован. $img37<br/>";


break;

case 'chat':
if(!@file("L2dbnam/esql2db/admins/$log.dat")){echo"Вы не Администратор!"; include_once"inclydings/down.php"; exit; }
if(empty($udata[35])){$udata[35]="5";}
$file = @file("L2dbnam/esql2db/chat.dat");
$total = count($file);
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + $udata[35]){ $end = $total; }
else {$end = $start + $udata[35]; }
for ($i = $start; $i < $end; $i++){
$file = @file("L2dbnam/esql2db/chat.dat");
$file = array_reverse($file);
$data = explode("#",$file[$i]);
$i2=round($i+1);

$data[6]=str_replace("\r\n", "", $data[6]);


if(!empty($data[1])){
echo"<b>[<a href=\"gmaddmins.php?$sd&go=del&id=$i\">DEL</a>][<a href=\"gmaddmins.php?$sd&go=ip&name=$data[1]\">БАН</a>] [<a href=\"gmaddmins.php?$sd&go=pr&name=$data[1]\">Придупредить</a>]</b> [<a href=\"search.php?$sd&go=go&nick=$data[1]\">$data[1]</a>]|[<a href=\"gmaddmins.php?$sd&go=say&nick=$data[1]\">Ответ</a>] [$data[5]] - $data[0]<br/>[$data[2]/$data[3]]<br/>";}
}
echo "<form action=\"gmaddmins.php?$sd&go=chatadd\" method=\"post\"><b>- - -</b>";
echo "<br/><input name=\"msg\" maxlength=\"500\" title=\"msg\"/><br/><input type=\"hidden\" name=\"self\" value=\"$self\" />";
echo "<input type=\"submit\" value=\"Написать\"/></form>";

if ($start != 0) {echo '[<a href="gmaddmins.php?start='.($start - $udata[35]).'&'.$sd.'&go=chat">Назад</a>] ';}else{echo'= = = =<br/>';}

if ($total > $start + $udata[35]) {echo '[<a href="gmaddmins.php?start='.($start + $udata[35]).'&'.$sd.'&go=chat">Далее</a>]';}

echo"<br/>[<a href=\"gmaddmins.php?$sd&&go=chat&ref=$ref\">Обновить</a>]<br/>";
break;

case 'chatadd':
if(!@file("L2dbnam/esql2db/admins/$log.dat")){echo"Вы не Администратор!"; include_once"inclydings/down.php"; exit; }
if(getenv("HTTP_X_FORWARDED_FOR")){ $ip = getenv("HTTP_X_FORWARDED_FOR"); }else{
if(getenv("REMOTE_ADDR")) $ip = getenv("REMOTE_ADDR");}
$ip=htmlspecialchars(stripslashes($ip));
$brow=htmlspecialchars(stripslashes(getenv('HTTP_USER_AGENT')));
$brow=strtok($brow,'/');

$brow=str_replace("#","",$brow);
$ip=str_replace("#","",$ip);

$msg = htmlspecialchars(stripslashes(addslashes($_POST['msg'])));
$msg=str_replace("#","",$msg);

$date=date("d.m.y");
$time=date("H:i:s");


$text="($time)<br/>$msg#$log#$brow#$ip#$date#$time#";
$text=str_replace("\r\n", "", $text);


$fp=fopen("L2dbnam/esql2db/chat.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
$file=file("L2dbnam/esql2db/chat.dat"); $i = count($file);
if ($i>=1000) {
$fp=fopen("L2dbnam/esql2db/chat.dat","w");
flock ($fp,LOCK_EX);
unset($file[0]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
}
echo"Сообщение добавлено<br/>[<a href=\"gmaddmins.php?$sd&go=chat\">Продолжить!</a>]";
break;

case 'del':
if(!@file("L2dbnam/esql2db/admins/$log.dat")){echo"Вы не Администратор!"; include_once"inclydings/down.php"; exit; }

$file = @file("L2dbnam/esql2db/chat.dat");
$total = count($file);

if($id=="0"){$id=$total-1;}else{$id=$total-$id-1;}

$file=file("L2dbnam/esql2db/chat.dat");

$fp=fopen("L2dbnam/esql2db/chat.dat","w");
flock ($fp,LOCK_EX);
for ($i=0;$i< sizeof($file);$i++) { if ($i==$id) {unset($file[$i]);} }

fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

echo"Удалено<br/>[<a href=\"gmaddmins.php?$sd&go=chat\">Продолжить!</a>]<br/>";

break;

case 'pr':
if(!@file("L2dbnam/esql2db/admins/$log.dat")){echo"Вы не Администратор!"; include_once"inclydings/down.php"; exit; }
$name=htmlspecialchars(stripslashes($name));

echo "Причина предупреждения:";
echo "<form action=\"gmaddmins.php?$sd&go=prchat&name=$name\" method=\"post\"><b>- - -</b>";
echo "<br/><input name=\"prichina\" maxlength=\"500\" title=\"go\"/><br/><input type=\"hidden\" name=\"self\" value=\"$(prichina)\" />";

echo "<input type=\"submit\" value=\"Предупредить\"/></form>";

break;
case 'prtrade':
if(!@file("L2dbnam/esql2db/admins/$log.dat")){echo"Вы не Администратор!"; include_once"inclydings/down.php"; exit; }
$name=htmlspecialchars(stripslashes($name));

echo "Причина предупреждения:";
echo "<form action=\"gmaddmins.php?$sd&go=prtradechat&name=$name\" method=\"post\">- - -</b>";
echo "<br/><input name=\"prichina\" maxlength=\"500\" title=\"go\"/><br/><input type=\"hidden\" name=\"self\" value=\"$(prichina)\" />";

echo "<input type=\"submit\" value=\"Предупредить\"/></form>";

break;
case 'ip':
if(!@file("L2dbnam/esql2db/admins/$log.dat")){echo"Вы не Администратор!"; include_once"inclydings/down.php"; exit; }
$name=htmlspecialchars(stripslashes($name));

echo "Причина бана по ip:";
echo "<form action=\"gmaddmins.php?$sd&go=ipban&name=$name\" method=\"post\">- - -";
echo "<br/><input name=\"prichina\" maxlength=\"500\" title=\"go\"/><br/><input type=\"hidden\" name=\"self\" value=\"$(prichina)\" />";

echo "<input type=\"submit\" value=\"Забанить\"/></form>";

break;
case 'prtradechat':
if(!@file("L2dbnam/esql2db/admins/$log.dat")){echo"Вы не Администратор!"; include_once"inclydings/down.php"; exit; }
echo"$name успешно предупрежден<br/><a href=\"gmaddmins.php?$sd&go=tradechat\">Продолжить!</a>]<br/>";

/////////////////////////
//$browe=opera;
//$ipe=127.1.1.1);

$msg="$name вам дал предупреждение Администратор $log. Причина: $prichina";


$msg=htmlspecialchars(stripslashes($msg));
$msg=str_replace("#","",$msg);

$date=date("d.m.y");
$time=date("H:i");


$text="($time)<br/><b><u>$msg</u></b>#$log#Nokia8800#127.0.0.1#$date#$time";
$text=str_replace("\r\n", "", $text);


$fp=fopen("L2dbnam/esql2db/trade.dat","a+");

flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
break;
case 'prchat':
if(!@file("L2dbnam/esql2db/admins/$log.dat")){echo"Вы не Администратор!"; include_once"inclydings/down.php"; exit; }
echo"$name успешно предупрежден<br/><a href=\"gmaddmins.php?$sd&go=chat\">Продолжить!</a><br/>";

/////////////////////////
//$browe=opera;
//$ipe=127.1.1.1);

$msg="$name вам дал предупреждение Администратор $log. Причина: $prichina";

$msg=htmlspecialchars(stripslashes($msg));
$msg=str_replace("#","",$msg);

$date=date("d.m.y");
$time=date("H:i");


$text="($time)<br/><b><u>$msg</u></b>#$log#Nokia8800#127.0.0.1#$date#$time";
$text=str_replace("\r\n", "", $text);


$fp=fopen("L2dbnam/esql2db/chat.dat","a+");

flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
break;
case 'ipban':
if(!@file("L2dbnam/esql2db/admins/$log.dat")){echo"Вы не Администратор!"; include_once"inclydings/down.php"; exit; }
$name=htmlspecialchars(stripslashes($name));
$file=@file("L2dbnam/esql2db/chat.dat");
$file = array_reverse($file);

for($i=0; $i<$file; $i++){
$data = explode("#",$file[$i]);

if($name==$data[1]){

$ip=explode(".",$data[3]);
$ipn="$ip[0].$ip[1].$ip[2]";
$time=time();
$prichina=htmlspecialchars(stripslashes($prichina));
$prichina=str_replace("|","",$prichina);
$name=str_replace("|","",$name);

$text="$ipn||$time||$name||$prichina||$data[0]||";

$fp=fopen("L2dbnam/esql2db/ban.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

echo"$name в игноре на 24 часа<br/><a href=\"gmaddmins.php?$sd&go=chat\">Продолжить!</a><br/>";

/////////////////////////
//$browe=opera;
//$ipe=127.1.1.1);

$msg="$name забанен на 24 часа! Причина: $prichina ";


$msg=htmlspecialchars(stripslashes($msg));
$msg=str_replace("#","",$msg);

$date=date("d.m.y");
$time=date("H:i");


$text="($time)<br/><b><u>$msg</u></b>#$log#Nokia8800#127.0.0.1#$date#$time";
$text=str_replace("\r\n", "", $text);


$fp=fopen("L2dbnam/esql2db/chat.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);



$file=file("L2dbnam/esql2db/chat.dat"); $i = count($file);
if ($i>=1000) {
$fp=fopen("L2dbnam/esql2db/chat.dat","w");
flock ($fp,LOCK_EX);
unset($file[0]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
}
////////////////////////


exit;}
}



break;
case 'delmsgchat':
$time=time()-3600;
$dir = opendir ("L2dbnam/esql2db");
while ($file = readdir ($dir))
{
if (( $file != ".") && ($file != "..")){

$file2=@file("L2dbnam/esql2db/chat.dat");
$GLOBALS[total]=count($file2);

$GLOBALS[all]=$GLOBALS[all]+$GLOBALS[total];
@unlink ("L2dbnam/esql2db/chat.dat");

}

}

if($GLOBALS[all]==""){$GLOBALS[all]="0";}

echo"Удалено: $GLOBALS[all] сообщений.";

$msg="Чат был полностю очищен Администратор: $log.";


$msg=htmlspecialchars(stripslashes($msg));
$msg=str_replace("#","",$msg);

$date=date("d.m.y");
$time=date("H:i");


$text="($time)<br/><b>$msg</b>#[Система]#Nokia8800#127.0.0.1#$date#$time";
$text=str_replace("\r\n", "", $text);


$fp=fopen("L2dbnam/esql2db/chat.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
break;

break;
case 'ali':
if(!@file("L2dbnam/esql2db/admins/$log.dat")){echo"Вы не Администратор!"; include_once"inclydings/down.php"; exit; }
echo "<form action=\"gmaddmins.php?$sd&go=delali\" method=\"post\">";
echo "Введите ник главы альянса:<br/>";
echo "<input name=\"login\" maxlength=\"50\" title=\"nick\"/><br/>";
echo '<input type="submit" value="Удалить альянс"/></form>';

break;
case 'delali':
if(!@file("L2dbnam/esql2db/admins/$log.dat")){echo"Вы не Администратор!"; include_once"inclydings/down.php"; exit; }
$login=$_POST['login'];
if(!@file("L2dbnam/esql2db/ali/$login.dat")){echo"Такой альянс не существует!"; include_once"gmaddmins/down.php"; exit; }
@unlink ("L2dbnam/esql2db/ali/$login.dat");
@unlink ("L2dbnam/esql2db/ali/bank/$login.dat");
@unlink ("L2dbnam/esql2db/ali/chat/$login.dat");
@unlink ("L2dbnam/esql2db/ali/clans/$login.dat");
@unlink ("L2dbnam/esql2db/ali/desk/$login.dat");
@unlink ("L2dbnam/esql2db/ali/logs/$login.dat");
@unlink ("L2dbnam/esql2db/ali/names/$login.dat");
@unlink ("L2dbnam/esql2db/ali/site/$login.dat");
@unlink ("L2dbnam/esql2db/ali/tmp/$login.dat");
echo"Альянс игрока $login успешно удалён";
break;
case 'stat':
if(!@file("L2dbnam/esql2db/admins/$log.dat")){echo"Вы не Администратор!"; include_once"inclydings/down.php"; exit; }
echo "<form action=\"gmaddmins.php?$sd&go=savestat\" method=\"post\">";
echo "Введите ник игрока (Главы клана):<br/>";
echo "<input name=\"nick\" maxlength=\"50\" title=\"nick\"/><br/>";
echo "Звание:<br/>";
echo "<input name=\"statusus\" maxlength=\"100\"/><br/>";
echo '<input type="submit" value="Изменить"/></form>';
break;
case 'savestat':
if(!@file("L2dbnam/esql2db/admins/$log.dat")){echo"Вы не Администратор!"; include_once"inclydings/down.php"; exit; }
if(!@file("L2dbnam/esql2db/reg/$nick.dat")){echo"Такого игрока нет."; include_once"inclydings/down.php"; exit; }

if(@file("L2dbnam/esql2db/clan/$nick.dat")){

$text = @file("L2dbnam/esql2db/clan/$nick.dat");
$data = explode(":||:",$text[0]);
$nick=$_POST['nick'];
$statusus=$_POST['statusus'];
$text=$nick.':||:'.$statusus.':||:';
$fp=fopen("L2dbnam/esql2db/clan/status/$nick.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
echo"Вы успешно присвоили игроку $nick звание:<br/> $statusus"; include_once"inclydings/down.php"; exit; }
echo'Игрок не глава клана.<br/>';include_once"inclydings/down.php"; exit;

break;
case 'failuzer':
if(!@file("L2dbnam/esql2db/admins/$log.dat")){echo"Вы не Администратор!"; include_once"inclydings/down.php"; exit; }
$file1 = file("L2dbnam/esql2db/who.dat");
$total1 = count($file1);

$time=time()-600;
$gde=$_SERVER['SCRIPT_NAME'];
for ($i = 0; $i < $total1; $i++){
$file2 = @file("L2dbnam/esql2db/who.dat");
$data2 = explode("|",$file2[$i]);


$data2[0]=htmlspecialchars(addslashes(stripslashes($data2[0])));


if($data2[1] && $data2[2]>$time){

echo "Ник: $data2[0]<br/>
Файл: <u>$data2[1]</u><br/><hr/> ";
}



}

break;
case 'izmenit':
if(!@file("L2dbnam/esql2db/admins/$log.dat")){echo"Вы не Администратор!"; include_once"inclydings/down.php"; exit; }
echo "<form action=\"gmaddmins.php?$sd&go=profilizmenit\" method=\"post\">Логин:<br/>";
echo "<input name=\"logi\" type=\"text\" maxlength=\"100\" title=\"nick\"/><br/>";
echo '<input type="submit" value="OK" /></form>';

break;
case 'profilizmenit':
if(!@file("L2dbnam/esql2db/admins/$log.dat")){echo"Вы не Администратор!"; include_once"inclydings/down.php"; exit; }
$logi=$_POST['logi'];
$text = @file("L2dbnam/esql2db/reg/$logi.dat");
$udata = explode(":||:",$text[0]);
$aden=trim($udata[8]);
$exp=trim($udata[19]);
$pol=trim($udata[2]);
$lvl=trim($udata[9]);
$sp=trim($udata[31]);
$lovk=trim($udata[3]);
$profa=trim($udata[33]);
$email=trim($udata[18]);
$met=trim($udata[4]);
$hp=trim($udata[17]);
$mp=trim($udata[30]);
$paty=trim($udata[25]);
$karm=trim($udata[36]);
$clan=trim($udata[23]);
$ignor=trim($udata[36]);
$klass=trim($udata[27]);
$rassa=trim($udata[26]);
$magzah=trim($udata[99]);
$kol=trim($udata[14]);
$kup=trim($udata[90]);
$gam=trim($udata[55]);
$gold=trim($udata[95]);
$postu=trim($udata[100]);
$o4=trim($udata[97]);
$o4pas=trim($udata[66]);
$zern=trim($udata[58]);
$vosh=trim($udata[89]);
$pk=trim($udata[51]);
$reg=trim($udata[28]);
$pob=trim($udata[6]);
$por=trim($udata[7]);
$vsego=trim($udata[78]);
$kvest=trim($udata[44]);
$dr=trim($udata[74]);
$town=trim($udata[20]);
echo "<form action=\"gmaddmins.php?$sd&go=izmenitsave\" method=\"post\">";
echo "Уровень:<br/>";
echo "<input type=\"hidden\" name=\"login\" value=\"".$logi."\">";
echo "<input name=\"lvl\" maxlength=\"100\" value=\"$lvl\"/><br/>";
echo "Деньги:<br/>";
echo "<input name=\"aden\" maxlength=\"10\" value=\"$aden\"/><br/>";
echo "Кристалы:<br/>";
echo "<input name=\"gam\" maxlength=\"10\" value=\"$gam\"/><br/>";
echo "Зерна:<br/>";
echo "<input name=\"zern\" maxlength=\"10\" value=\"$zern\"/><br/>";
echo "Всходы:<br/>";
echo "<input name=\"vosh\" maxlength=\"10\" value=\"$vosh\"/><br/>";
echo "Coin of Luck:<br/>";
echo "<input name=\"kol\" maxlength=\"10\" value=\"$kol\"/><br/>";
echo "Купоны:<br/>";
echo "<input name=\"kup\" maxlength=\"10\" value=\"$kup\"/><br/>";
echo "Древних Аден:<br/>";
echo "<input name=\"dr\" maxlength=\"10\" value=\"$dr\"/><br/>";
echo "Голд:<br/>";
echo "<input name=\"gold\" maxlength=\"10\" value=\"$gold\"/><br/>";
echo "Рекомендаций:<br/>";
echo "<input name=\"karm\" maxlength=\"10\" value=\"$karm\"/><br/>";
echo "Проиграл PK боев:<br/>";
echo "<input name=\"pk\" maxlength=\"10\" value=\"$pk\"/><br/>";
echo "Посты:<br/>";
echo "<input name=\"postu\" maxlength=\"10\" value=\"$postu\"/><br/>";
echo "Очки навыков:<br/>";
echo "<input name=\"o4\" maxlength=\"10\" value=\"$o4\"/><br/>";
echo "Очки пассивных навыков:<br/>";
echo "<input name=\"o4pas\" maxlength=\"10\" value=\"$o4pas\"/><br/>";
echo "Опыт:<br/>";
echo "<input name=\"exp\" maxlength=\"130\" value=\"$exp\"/><br/>";
echo "SP:<br/>";
echo "<input name=\"sp\" maxlength=\"100\" value=\"$sp\"/><br/>";
echo "Физ.Защита:<br/>";
echo "<input name=\"lovk\" maxlength=\"100\" value=\"$lovk\"/><br/>";
echo "Маг.Защ:<br/>";
echo "<input name=\"magzah\" maxlength=\"100\" value=\"$magzah\"/><br/>";
echo "Физ.Атака:<br/>";
echo "<input name=\"met\" maxlength=\"100\" value=\"$met\"/><br/>";
echo "HP:<br/>";
echo "<input name=\"hp\" maxlength=\"100\" value=\"$hp\"/><br/>";
echo "MP:<br/>";
echo "<input name=\"mp\" maxlength=\"100\" value=\"$mp\"/><br/>";
echo "Побед:<br/>";
echo "<input name=\"pob\" maxlength=\"100\" value=\"$pob\"/><br/>";
echo "Поражений:<br/>";
echo "<input name=\"por\" maxlength=\"100\" value=\"$por\"/><br/>";
echo "Всего сражений:<br/>";
echo "<input name=\"vsego\" maxlength=\"100\" value=\"$vsego\"/><br/>";
echo "Пройдено квэстов:<br/>";
echo "<input name=\"kvest\" maxlength=\"100\" value=\"$kvest\"/><br/>";
echo "Мыло:<br/>";
echo "<input name=\"email\" maxlength=\"100\" value=\"$email\"/><br/>";
echo "Профессия:<br/>";
echo "<input name=\"profa\" maxlength=\"100\" value=\"$profa\"/><br/>";
echo "В Пати:<br/>";
echo "<input name=\"paty\" maxlength=\"100\" value=\"$paty\"/><br/>";
echo "В Клане:<br/>";
echo "<input name=\"clan\" maxlength=\"100\" value=\"$clan\"/><br/>";
echo "Пол (Ж,M(англ):<br/>";
echo "<input name=\"pol\" maxlength=\"100\" value=\"$pol\"/><br/>";
echo "Класс (wizard,fighert):<br/>";
echo "<input name=\"klass\" maxlength=\"100\" value=\"$klass\"/><br/>";
echo "Расса (elf,darkelf,gnom,human,orc,kamael):<br/>";
echo "<input name=\"rassa\" maxlength=\"100\" value=\"$rassa\"/><br/>";
echo "Город:<br/>";
echo "<input name=\"town\" maxlength=\"100\" value=\"$town\"/><br/>";
echo "Дата регистрации:<br/>";
echo "<input name=\"reg\" maxlength=\"100\" value=\"$reg\"/><br/>";
echo '<input type="hidden" value="'.$logi.'">';
echo '<input type="submit" value="Изменить"/></form>';
break;
case 'izmenitsave':
if(!@file("L2dbnam/esql2db/admins/$log.dat")){echo"Вы не Администратор!"; include_once"inclydings/down.php"; exit; }
$login=$_POST['login'];

$fal = @file("L2dbnam/esql2db/reg/$login.dat");
$uda = explode(":||:",$fal[0]);

$uda[2]=$_POST['pol'];
$sp=$_POST['sp'];
$aden=$_POST['aden'];
$lvl=$_POST['lvl'];
$uda[19]=$_POST['exp'];
$uda[3]=$_POST['lovk'];
$uda[4]=$_POST['met'];
$uda[17]=$_POST['hp'];
$uda[30]=$_POST['mp'];
$uda[25]=$_POST['paty'];
$uda[23]=$_POST['clan'];
$uda[36]=$_POST['ignor'];
$uda[18]=$_POST['email'];
$uda[33]=$_POST['profa'];
$uda[36]=$_POST['karm'];
$uda[27]=$_POST['klass'];
$uda[26]=$_POST['rassa'];
$uda[99]=$_POST['magzah'];
$uda[100]=$_POST['postu'];
$uda[14]=$_POST['kol'];
$uda[90]=$_POST['kup'];
$uda[55]=$_POST['gam'];
$uda[95]=$_POST['gold'];
$uda[97]=$_POST['o4'];
$uda[66]=$_POST['o4pas'];
$uda[58]=$_POST['zern'];
$uda[89]=$_POST['vosh'];
$uda[51]=$_POST['pk'];
$uda[28]=$_POST['reg'];
$uda[6]=$_POST['pob'];
$uda[7]=$_POST['por'];
$uda[78]=$_POST['vsego'];
$uda[44]=$_POST['kvest'];
$uda[74]=$_POST['dr'];
$uda[20]=$_POST['town'];
$t=$uda[0].':||:'.$uda[1].':||:'.$uda[2].':||:'.$uda[3].':||:'.$uda[4].':||:'.$uda[5].':||:'.$uda[6].':||:'.$uda[7].':||:'.$aden.':||:'.$lvl.':||:'.$uda[10].':||:'.$uda[11].':||:'.$uda[12].':||:'.$uda[13].':||:'.$uda[14].':||:'.$uda[15].':||:'.$uda[16].':||:'.$uda[17].':||:'.$uda[18].':||:'.$uda[19].':||:'.$uda[20].':||:'.$uda[21].':||:'.$uda[22].':||:'.$uda[23].':||:'.$uda[24].':||:'.$uda[25].':||:'.$uda[26].':||:'.$uda[27].':||:'.$uda[28].':||:'.$uda[29].':||:'.$uda[30].':||:'.$sp.':||:'.$uda[32].':||:'.$uda[33].':||:'.$uda[34].':||:'.$uda[35].':||:'.$uda[36].':||:'.$uda[37].':||:'.$uda[38].':||:'.$uda[39].':||:'.$uda[40].':||:'.$uda[41].':||:'.$uda[42].':||:'.$uda[43].':||:'.$uda[44].':||:'.$uda[45].':||:'.$uda[46].':||:'.$uda[47].':||:'.$uda[48].':||:'.$uda[49].':||:'.$uda[50].':||:'.$uda[51].':||:'.$uda[52].':||:'.$uda[53].':||:'.$uda[54].':||:'.$uda[55].':||:'.$uda[56].':||:'.$uda[57].':||:'.$uda[58].':||:'.$uda[59].':||:'.$uda[60].':||:'.$uda[61].':||:'.$uda[62].':||:'.$uda[63].':||:'.$uda[64].':||:'.$uda[65].':||:'.$uda[66].':||:'.$uda[67].':||:'.$uda[68].':||:'.$uda[69].':||:'.$uda[70].':||:'.$uda[71].':||:'.$uda[72].':||:'.$uda[73].':||:'.$uda[74].':||:'.$uda[75].':||:'.$uda[76].':||:'.$uda[77].':||:'.$uda[78].':||:'.$uda[79].':||:'.$uda[80].':||:'.$uda[81].':||:'.$uda[82].':||:'.$uda[83].':||:'.$uda[84].':||:'.$uda[85].':||:'.$uda[86].':||:'.$uda[87].':||:'.$uda[88].':||:'.$uda[89].':||:'.$uda[90].':||:'.$uda[91].':||:'.$uda[92].':||:'.$uda[93].':||:'.$uda[94].':||:'.$uda[95].':||:'.$uda[96].':||:'.$uda[97].':||:'.$uda[98].':||:'.$uda[99].':||:'.$uda[100].':||:';

$fp=fopen("L2dbnam/esql2db/reg/$login.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$t");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

echo"Профиль $login изменен!";


break;
case 'vipspisok':
if(!@file("L2dbnam/esql2db/admins/$log.dat")){echo"Вы не Администратор!"; include_once"inclydings/down.php"; exit; }
echo'Список Акаунтов<br/>';

$dir = opendir ("L2dbnam/esql2db/vip"); 
while ($file = readdir ($dir)) 
{
if (( $file != ".") and ($file != ".."))
{ 
$id=str_replace(".dat","",$file);
$text = @file("L2dbnam/esql2db/vip/$file"); 
$data = explode("||",$text[0]);
}}
$data = mysql_query("SELECT * FROM table_vip");
while($dat = mysql_fetch_array( $data ))
{
echo"Ник: <a href=\"gmaddmins.php?$sd&nick=".$dat['nick']."&go=vipdel\">".$dat['nick']."</a> ".$dat['time']."<br/>";
}
break;
case 'vipdel':
if(!@file("L2dbnam/esql2db/admins/$log.dat")){echo"Вы не Администратор!"; include_once"inclydings/down.php"; exit; }
include_once("inclydings/functions.php");
///////////////////////////////////////
$time=time()-3600;
$dir = opendir ("L2dbnam/esql2db/vip");
while ($file = readdir ($dir)) 
{
if (( $file != ".") && ($file != "..")){
$file2=@file("L2dbnam/esql2db/vip/$nick.dat");
$GLOBALS[total]=count($file2);
$GLOBALS[all]=$GLOBALS[all]+$GLOBALS[total];
@unlink ("L2dbnam/esql2db/vip/$nick.dat");
}}

mysql_query("DELETE FROM `table_vip` WHERE `nick`='".$nick."'");
echo"Акаунт $nick остался без VIP акаунта.";
break;


case 'personal':
if(!@file("L2dbnam/esql2db/admins/$log.dat")){echo"Вы не Администратор!"; include_once"inclydings/down.php"; exit; }
echo'Администраторы<br/>';
$data = mysql_query("SELECT * FROM table_admin");
while($dat = mysql_fetch_array( $data ))
{
echo '<li>'.$dat['nick'].' [<a href="gmaddmins.php?'.$sd.'&go=deladmin&nick='.$dat['nick'].'">del</a>]<br/>';
}
echo 'Назначить администратора<br/>';
echo '<form method="post" action="gmaddmins.php?'.$sd.'&go=admin">';
echo 'Ник:<br />';
echo '<input type="log" name="name" /><br/>';
echo '<input type="submit" class="button" value="Назначить" />';
echo '</form>';
echo'Модераторы<br/>';
$dir = opendir ("L2dbnam/esql2db/moders"); 
while ($file = readdir ($dir)) 
{
if (( $file != ".") and ($file != ".."))
{ 
$id=str_replace(".dat","",$file);
$text = @file("L2dbnam/esql2db/moders/$file"); 
$data = explode("||",$text[0]);
}}
$data = mysql_query("SELECT * FROM table_moder");
while($dat = mysql_fetch_array( $data ))
{
echo '<li>'.$dat['nick'].' [<a href="gmaddmins.php?'.$sd.'&go=delmod&nick='.$dat['nick'].'">del</a>]<br/>';
}
echo 'Назначить модера<br/>';
echo '<form method="post" action="gmaddmins.php?'.$sd.'&go=moder">';
echo 'Ник:<br />';
echo '<input type="log" name="name" /><br/>';
echo '<input type="submit" class="button" value="Назначить" />';
echo '</form>';
echo'Консультанты<br/>';
$data = mysql_query("SELECT * FROM table_konsultant");
while($dat = mysql_fetch_array( $data ))
{
echo '<li>'.$dat['nick'].' [<a href="gmaddmins.php?'.$sd.'&go=delkons&nick='.$dat['nick'].'">del</a>]<br/>';
}
echo 'Назначить Консультанта<br/>';
echo '<form method="post" action="gmaddmins.php?'.$sd.'&go=kons">';
echo 'Ник:<br />';
echo '<input type="log" name="name" /><br/>';
echo '<input type="submit" class="button" value="Назначить" />';
break;
case 'delkons':
if(!@file("L2dbnam/esql2db/admins/$log.dat")){echo"Вы не Администратор!"; include_once"inclydings/down.php"; exit; }
///////////////////////////////////////
include_once("inclydings/functions.php");
///////////////////////////////////////
$time=time()-3600;
$dir = opendir ("L2dbnam/esql2db/konsultant");
while ($file = readdir ($dir)) 
{
if (( $file != ".") && ($file != "..")){
$file2=@file("L2dbnam/esql2db/konsultant/$nick.dat");
$GLOBALS[total]=count($file2);
$GLOBALS[all]=$GLOBALS[all]+$GLOBALS[total];
@unlink ("L2dbnam/esql2db/konsultant/$nick.dat");
}}

mysql_query("DELETE FROM `table_konsultant` WHERE `nick`='".$nick."'");
echo'Результат<br/>';
echo'Игрок <b>'.$nick.'<br /> лишен должности.<br />';
break;
case 'kons':
$query = "INSERT INTO table_konsultant VALUES('$name')"; $result = mysql_query($query);

$text="$name||$access";
$fp=fopen("L2dbnam/esql2db/konsultant/$name.dat","w");
flock ($fp,LOCK_EX);
fputs($fp,"$text");
flock ($fp,LOCK_UN);
fclose($fp);

echo'Результат<br/>';
echo'Игрок '.$name.' назначен Консультантом<br/>';
break;
case 'moder':
$query = "INSERT INTO table_moder VALUES('$name')"; $result = mysql_query($query);

$text="$name||$access";
$fp=fopen("L2dbnam/esql2db/moders/$name.dat","w");
flock ($fp,LOCK_EX);
fputs($fp,"$text");
flock ($fp,LOCK_UN);
fclose($fp);

echo'Результат<br/>';
echo'Игрок '.$name.' назначен модером<br/>';
break;
case 'admin':
$query = "INSERT INTO table_admin VALUES('$name')"; $result = mysql_query($query);

$text="$name||$access";
$fp=fopen("L2dbnam/esql2db/admins/$name.dat","w");
flock ($fp,LOCK_EX);
fputs($fp,"$text");
flock ($fp,LOCK_UN);
fclose($fp);

echo'Результат<br/>';
echo'Игрок '.$name.' назначен администратором<br/>';
break;
case 'delmod':
///////////////////////////////////////
include_once("inclydings/functions.php");
///////////////////////////////////////
$time=time()-3600;
$dir = opendir ("L2dbnam/esql2db/moders");
while ($file = readdir ($dir)) 
{
if (( $file != ".") && ($file != "..")){
$file2=@file("L2dbnam/esql2db/moders/$nick.dat");
$GLOBALS[total]=count($file2);
$GLOBALS[all]=$GLOBALS[all]+$GLOBALS[total];
@unlink ("L2dbnam/esql2db/moders/$nick.dat");
}}
mysql_query("DELETE FROM `table_moder` WHERE `nick`='".$nick."'");
echo'Результат<br/>';
echo'Игрок <b>'.$nick.'<br /> лишен должности.<br />';
break;
case 'deladmin':
if(!@file("L2dbnam/esql2db/admins/$log.dat")){echo"Вы не Администратор!"; include_once"inclydings/down.php"; exit; }
///////////////////////////////////////
include_once("inclydings/functions.php");
///////////////////////////////////////
$time=time()-3600;
$dir = opendir ("L2dbnam/esql2db/admins");
while ($file = readdir ($dir)) 
{
if (( $file != ".") && ($file != "..")){
$file2=@file("L2dbnam/esql2db/admins/$nick.dat");
$GLOBALS[total]=count($file2);
$GLOBALS[all]=$GLOBALS[all]+$GLOBALS[total];
@unlink ("L2dbnam/esql2db/admins/$nick.dat");
}}

mysql_query("DELETE FROM `table_admin` WHERE `nick`='".$nick."'");
echo'Результат<br/>';
echo'Игрок <b>'.$nick.'<br /> лишен должности.<br />';
break;
case 'po4ta':
if(!@file("L2dbnam/esql2db/admins/$log.dat")){echo"Вы не Администратор!"; include_once"inclydings/down.php"; exit; }
$time=time()-3600;

$dir = opendir ("L2dbnam/esql2db/msg");
while ($file = readdir ($dir))
{
if (( $file != ".") && ($file != "..")){

$file2=@file("L2dbnam/esql2db/msg/$file");
$GLOBALS[total]=count($file2);

$GLOBALS[all]=$GLOBALS[all]+$GLOBALS[total];

@unlink ("L2dbnam/esql2db/msg/$file");

}

}

if($GLOBALS[all]==""){$GLOBALS[all]="0";}
$date=date("d.m.y");
$time=date("H:i:s");


$tex="Почта||$date/$time||В игре была произведена очистка Личных сообщений игроков. Удалено: $GLOBALS[all] писем.<br/>";

$fp=@fopen("L2dbnam/esql2db/novs.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$tex\r\n");
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
echo"Удалено: $GLOBALS[all] писем.";
break;
case 'bannick':
if(!@file("L2dbnam/esql2db/admins/$log.dat")){echo"Вы не Администратор!"; include_once"inclydings/down.php"; exit; }
echo "<form action=\"gmaddmins.php?$sd&go=bannicksave\" method=\"post\">";
echo "Введите ник игрока:<br/>";
echo "<input name=\"nick\" maxlength=\"50\" title=\"nick\"/><br/>";
echo "Причина бана:<br/>";
echo "<input name=\"prichina\" maxlength=\"100\"/><br/>";
echo "За какое сообщение:<br/>";
echo "<input name=\"msg\" maxlength=\"100\"/><br/>";
echo '<input type="hidden" value="'.$logi.'">';
echo '<input type="submit" value="Заблокировать"/></form>';
break;
case 'bannicksave':
if(!@file("L2dbnam/esql2db/admins/$log.dat")){echo"Вы не Администратор!"; include_once"inclydings/down.php"; exit; }
$text="127.0.0||$time||$nick||$prichina||$msg||";
$fp=fopen("L2dbnam/esql2db/ban.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

$msg="$nick забанен на 24 часов! Администратором: $log. Причина: $prichina ";
$text="($time)<br/><b><u>$msg</u></b>#[Система]#Nokia8800#127.0.0.1#$date#$time";
$text=str_replace("\r\n", "", $text);


$fp=fopen("L2dbnam/esql2db/chat.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
$file=file("L2dbnam/esql2db/chat.dat"); $i = count($file);
if ($i>=1000) {
$fp=fopen("L2dbnam/esql2db/chat.dat","w");
flock ($fp,LOCK_EX);
unset($file[0]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
}
echo"$login забанен на 24 часа.<br/>[<a href=\"gmaddmins.php?$sd&go=chat\">Продолжить</a>]<br/>";
break;
}
echo"<hr/> <a href=\"gmaddmins.php?$sd\">В админ панель</a><br/>";
}else{echo"Вы не Администратор"; include'inclydings/down.php'; exit;}
}else{echo"Пароль или ник неверен.Возможно сессия устарела.Попробуйте авторизироваться заново...";}
include_once"inclydings/down.php";
?>
